# S31 - Download documents for one or multiple shops

Description

          It is mandatory to specify either the shop_ids or the document_ids.  If a list of document identifiers is specified only these documents are downloaded.          If more than one document id is specified, the documents will be wrapped in a ZIP archive      If only one document id is specified the document will not be zipped            If no document identifiers is specified, all the shop documents will be downloaded.    Use a list of shop document type codes to retrieve specific types from your shop.    In this case, the output of the API will always be a ZIP archive even if there is only one document to retrieve.  When documents are retrieved, they're wrapped into a ZIP archive except when only one document id is specified. The tree structure of this archive is as follow:
documents-timestamp.zip
|__ shop_id/
|   |__ image.png
|   |__ image(1).png
|   |__ foo.txt
Returns a 404 if at least one document id or one document type code is invalid


Call Frequency

Recommended usage: After each S30 call, when you want to download documents from a store
Maximum usage: After each S30 call, when you want to download documents from a store

Endpoint: GET /api/shops/documents/download
Security: Shop-API-Key

## Query parameters:

  - `document_ids` (string)
    A list of document identifiers (separated by a comma). It is mandatory to specify either the shop_ids or the document_ids

  - `type_codes` (string)
    A list of document type codes (separated by a comma)

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.


